Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Tools.BuildArtifact Class Referencesealed

## Public Member Functions
| BuildArtifact (string name, string type, string edition, string version, string revision, string branch, string path, string testPath, string symbolsPath)
string | GetFullName ()

## Properties
string | Timestamp`[get, set]`
string | Name`[get, set]`
string | Type`[get, set]`
string | Edition`[get, set]`
string | Version`[get, set]`
string | Revision`[get, set]`
string | Branch`[get, set]`
string | Path`[get, set]`
string | TestPath`[get, set]`
string | SymbolsPath`[get, set]`

## Private Member Functions
| BuildArtifact ()

## Constructor & Destructor Documentation

## ◆ BuildArtifact() [1/2]

Zwipe.Build.Tools.BuildArtifact.BuildArtifact | ( |  | ) |
| private

## ◆ BuildArtifact() [2/2]

Zwipe.Build.Tools.BuildArtifact.BuildArtifact | ( | string | name,
|  | string | type,
|  | string | edition,
|  | string | version,
|  | string | revision,
|  | string | branch,
|  | string | path,
|  | string | testPath,
|  | string | symbolsPath )

## Member Function Documentation

## ◆ GetFullName()

string Zwipe.Build.Tools.BuildArtifact.GetFullName | ( |  | ) |

Here is the caller graph for this function:

## Property Documentation

## ◆ Branch

string Zwipe.Build.Tools.BuildArtifact.Branch
| get set

## ◆ Edition

string Zwipe.Build.Tools.BuildArtifact.Edition
| get set

## ◆ Name

string Zwipe.Build.Tools.BuildArtifact.Name
| get set

## ◆ Path

string Zwipe.Build.Tools.BuildArtifact.Path
| get set

## ◆ Revision

string Zwipe.Build.Tools.BuildArtifact.Revision
| get set

## ◆ SymbolsPath

string Zwipe.Build.Tools.BuildArtifact.SymbolsPath
| get set

## ◆ TestPath

string Zwipe.Build.Tools.BuildArtifact.TestPath
| get set

## ◆ Timestamp

string Zwipe.Build.Tools.BuildArtifact.Timestamp
| get set

## ◆ Type

string Zwipe.Build.Tools.BuildArtifact.Type
| get set

## ◆ Version

string Zwipe.Build.Tools.BuildArtifact.Version
| get set

The documentation for this class was generated from the following file:

- Zwipe.Build.Tools/BuildArtifact.cs